Subject: Re: Net::SSH::Perl under Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: "Rafe Slattery" <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Aug 2004 20:09:37 +0200

Hallo Rafe,

Am Sonntag, 29. August 2004 um 17:05 schriebst du:

> Has anyone out there got details on how to get this working, or a
> definative answer that it is not possible.

> I am trying to get this in place for a project due tomorrow and don't
> have any other real way of going about this.

> I need a perl script to be able to log in to a server using SSH with a
> supplied username and password.

> I have this working fine on my Linux server, but it needs to get moved
> to an windows box.

> I have installed Cygwin, and perl etc.
> When I try to install it using CPAN the installation breaks in the
> following way

> Writing Makefile for Math::PARI::libPARI
> Writing Makefile for Math::Pari
> cp libPARI.dumb.pod blib/lib/Math/libPARI.dumb.pod
> cp PariInit.pm blib/lib/Math/PariInit.pm
> cp Pari.pm blib/lib/Math/Pari.pm
> cp libPARI.pod blib/lib/Math/libPARI.pod
> cd libPARI && /usr/bin/make LIB="c:\Program Files\Microsoft Visual
> Studio .NET 2
> 003\SDK\v1.1\Lib\" LIBPERL_A="libperl.a" LINKTYPE="dynamic" PREFIX=""
> OPTIMIZE="
> -O2" PASTHRU_DEFINE="" PASTHRU_INC=""
> Syntax error: Unterminated quoted string
> make: *** [libPARI/libPARI.a] Error 2
>   /usr/bin/make  -- NOT OK
> Running make test
>   Can't test without successful make
> Running make install
>   make had returned bad status, install seems impossible

> Can anyone PLEASE help with this?

echo export LIB= >> ~/.bashrc
. ~/.bashrc

then try again.

I tried to install it myself, after CPAN installed several thousand
digest & crypto & helper modules, I got this for Math::Pari:

All tests successful, 1 test and 25 subtests skipped.
Files=14, Tests=823, 29 wallclock secs (17.12 cusr +  5.55 csys = 22.67 CPU)

and this for Net::SSH::Perl:

Running make test
/bin/perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/01-compile.....ok                                                          
t/02-buffer......ok                                                          
t/03-packet......ok                                                          
t/04-config......ok                                                          
t/05-cipher......ok                                                          
t/06-circular....ok                                                          
All tests successful.
Files=6, Tests=116, 10 wallclock secs ( 4.62 cusr +  3.10 csys =  7.72 CPU)

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/